> For the complete documentation index, see [llms.txt](https://docs.stevoscripts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stevoscripts.com/paid-scripts/badges/config.md).

# Config

{% hint style="danger" %}
**This config may be partially outdated, always use the version provided from keymaster**
{% endhint %}

```lua
return {
    locale = 'en',
    interaction = 'target', -- 'target' or 'textui'
    target = 'auto', -- 'auto' | 'ox_target' | 'qb-target'
    textUI = 'auto', -- 'auto' | 'ox_lib' | 'ps-ui'
    callsign = 'framework', -- | 'framework' | 'stevo_police' (Framework is not available for esx users)
    notify = 'auto', -- 'auto' | 'ox_lib' | 'okokNotify' | 'ps-ui' | 'wasabi_notify'


    targetIcon = 'fas fa-id-card',
    closeHelp = true, -- TextUI message telling the player how to close the badge.


    mediaService = 'fivemerr', -- 'fivemerr' | 'fivemanage'
    defaultPhoto = 'https://files.fivemerr.com/images/ff0d3799-576a-4a54-902a-219d3f707a54.png', -- Default photo that will be used if there is an issue uploading the old one.
    photoBooths = { -- Locations the player will teleport to when being photographed. (Will go to closest one)
        vec4(865.6563, -1060.9304, 28.8983, 95.0674)
    },


    badges = {
        ['police_badge'] = { -- Item Name
            jobs = {'police'},
            name = 'LSPD Badge',
            photoBackground = { r = 136, g = 178, b = 191 }, -- Color used for the background of the photo.
            image = 'https://files.fivemerr.com/images/0a9d4586-ab6d-4825-b260-a4085bac4f5c.png',
            callsign = false, -- Set to false for no callsign to be displayed. (bridge/editable_client.lua)
            prop = {
                bone = 28422,
                hash = 'prop_fib_badge',
                placement = {
                    vec3(0.06, 0.021, -0.04),
                    vec3(-90.0, -180.0, 78.999001),
                },
            },
            badgeTechnician = { -- Ped that badges can be obtained from.
                name = 'LSPD Badge Technician',
                menuColor = '#00a1d3', -- Color of icons in ox_lib context menu (can be set to false)
                distance = 1.5,
                cost = false, -- If the player should have to pay for the badge. (Set to a value like 100 or 500)
                coords = vec4(447.2417, -988.8397, 29.6896, 359.9629),
                model = `a_m_m_paparazzi_01`,
                blip = { -- Can be set to false
                    coords = vec3(447.2417, -988.8397, 29.6896),
                    color = 34,
                    sprite = 776
                 },
                scenario = 'WORLD_HUMAN_PAPARAZZI' -- can be set to false
            }
        }
    },

    animation = {
        anim = 'player_one_dual-8',
        dict = 'paper_1_rcm_alt1-8',
        flag = 51,
    },

    debug = false
        
   
}


```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stevoscripts.com/paid-scripts/badges/config.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
